rte_flow_desc(3)

NAME
rte_flow_desc

SYNOPSIS

#include <rte_flow.h>

  Data Fields

size_t size
struct rte_flow_attr attr
struct rte_flow_item * items
struct rte_flow_action * actions
uint8_t data []

Detailed Description

Deprecated

See also
    rte_flow_copy()

Definition at line 4876 of file rte_flow.h.

Field Documentation

  size_t size
Allocated space including data[].

Definition at line 4877 of file rte_flow.h.

  struct rte_flow_attr attr
Attributes.

Definition at line 4878 of file rte_flow.h.

  struct rte_flow_item* items
Items.

Definition at line 4879 of file rte_flow.h.

  struct rte_flow_action* actions
Actions.

Definition at line 4880 of file rte_flow.h.

  uint8_t data[]
Storage for items/actions.

Definition at line 4881 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.